Bug 1360435 - RGW process segfaults during restart if realm is deleted
Summary: RGW process segfaults during restart if realm is deleted
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.0
Assignee: Casey Bodley
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-26 17:31 UTC by shilpa
Modified: 2017-07-30 15:58 UTC (History)
9 users (show)

Fixed In Version: RHEL: ceph-10.2.2-30.el7cp Ubuntu: ceph_10.2.2-23redhat1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 19:45:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 16817 None None None 2016-07-26 17:31:38 UTC
Red Hat Product Errata RHBA-2016:1755 normal SHIPPED_LIVE Red Hat Ceph Storage 2.0 bug fix and enhancement update 2016-08-23 23:23:52 UTC

Description shilpa 2016-07-26 17:31:39 UTC
Description of problem:
Delete a realm and restart gateway. RGW segfaults on RGWRealmWatcher 

Version-Release number of selected component (if applicable):
10.2.2-29

 ceph version 10.2.2-29.el7cp (49a48142f2f075dae5a4c47cc8c936e0bba5e35f)
 1: (()+0x55388a) [0x7f571a55788a]
 2: (()+0xf100) [0x7f5719983100]
 3: (std::basic_string<char, std::char_traits<char>, std::allocator<char> >::basic_string(std::string const&)+0x18) [0x7f5719525f38]
 4: (()+0xb475a) [0x7f570f7c775a]
 5: (()+0xb00d1) [0x7f570f7c30d1]
 6: (RGWRealmWatcher::watch_stop()+0x30) [0x7f571a35d730]
 7: (RGWRealmWatcher::~RGWRealmWatcher()+0x2b) [0x7f571a35dedb]
 8: (main()+0x1e85) [0x7f5723e76fe5]
 9: (__libc_start_main()+0xf5) [0x7f5718eb0b15]
 10: (()+0x138dd) [0x7f5723e778dd]

Comment 2 Casey Bodley 2016-07-26 18:17:54 UTC
The fix, https://github.com/ceph/ceph/pull/10446, was merged to master. I cherry-picked it to ceph-2-rhel-patches.

Comment 8 shilpa 2016-07-28 13:28:51 UTC
Verified on  ceph-10.2.2-30.

Comment 10 errata-xmlrpc 2016-08-23 19:45:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1755.html


Note You need to log in before you can comment on or make changes to this bug.